Bug 1527195 - unowned intermediate directories in /usr/lib/python*/site-packages/humanize/locale
Summary: unowned intermediate directories in /usr/lib/python*/site-packages/humanize/l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-humanize
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1607468 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-18 18:55 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-11-18 22:47 UTC (History)
4 users (show)

Fixed In Version: python-humanize-0.5.1-21.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-18 01:37:08 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2017-12-18 18:55:09 UTC
Description of problem:
python{,3}-humanize installs locale files in /usr/lib/python*/site-packages/humanize/locale but doesn't own some directories.

Version-Release number of selected component (if applicable):
0.5.1-8.fc27

How reproducible:
Always

Steps to Reproduce:
1. dnf install python{,3}-humanize
2. rpm -qf /usr/lib/python*/site-packages/humanize/locale /usr/lib/python*/site-packages/humanize/locale/* /usr/lib/python*/site-packages/humanize/locale/*/*

Actual results:
file /usr/lib/python2.7/site-packages/humanize/locale is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale is not owned by any package
file /usr/lib/python2.7/site-packages/humanize/locale/fr_FR is not owned by any package
file /usr/lib/python2.7/site-packages/humanize/locale/ko_KR is not owned by any package
file /usr/lib/python2.7/site-packages/humanize/locale/ru_RU is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale/fr_FR is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale/ko_KR is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale/ru_RU is not owned by any package
file /usr/lib/python2.7/site-packages/humanize/locale/fr_FR/LC_MESSAGES is not owned by any package
file /usr/lib/python2.7/site-packages/humanize/locale/ko_KR/LC_MESSAGES is not owned by any package
file /usr/lib/python2.7/site-packages/humanize/locale/ru_RU/LC_MESSAGES is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale/fr_FR/LC_MESSAGES is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale/ko_KR/LC_MESSAGES is not owned by any package
file /usr/lib/python3.6/site-packages/humanize/locale/ru_RU/LC_MESSAGES is not owned by any package

Expected results:
All should be owned by python{,3}-humanize packages or not packaged at all.

Additional info:

Comment 1 Jerry James 2018-06-08 16:09:48 UTC
This is still the case in Fedora 28.  It caused the unowned directories to be left behind in /usr/lib/python3.5 when upgrading from Fedora 27.

Comment 2 Elliott Sales de Andrade 2018-11-05 12:08:06 UTC
*** Bug 1607468 has been marked as a duplicate of this bug. ***

Comment 3 Ben Cotton 2018-11-27 13:40:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jerry James 2018-11-28 04:30:36 UTC
This is still the case in Fedora 29.

Comment 5 Ben Cotton 2019-10-31 20:26:02 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jerry James 2019-10-31 20:31:57 UTC
The current list for Rawhide:
file /usr/lib/python3.8/site-packages/humanize/locale is not owned by any package
file /usr/lib/python3.8/site-packages/humanize/locale/fr_FR is not owned by any package
file /usr/lib/python3.8/site-packages/humanize/locale/ko_KR is not owned by any package
file /usr/lib/python3.8/site-packages/humanize/locale/ru_RU is not owned by any package
file /usr/lib/python3.8/site-packages/humanize/locale/fr_FR/LC_MESSAGES is not owned by any package
file /usr/lib/python3.8/site-packages/humanize/locale/ko_KR/LC_MESSAGES is not owned by any package
file /usr/lib/python3.8/site-packages/humanize/locale/ru_RU/LC_MESSAGES is not owned by any package

This bug is almost 2 years old.  Is anybody actually maintaining this package?

Comment 7 Fedora Update System 2019-11-14 12:54:44 UTC
FEDORA-2019-0f3356df80 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f3356df80

Comment 8 Fedora Update System 2019-11-15 04:38:57 UTC
python-humanize-0.5.1-21.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f3356df80

Comment 9 Fedora Update System 2019-11-18 01:37:08 UTC
python-humanize-0.5.1-21.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-11-18 22:47:29 UTC
python-humanize-0.5.1-21.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.